package com.tmerclub.cloud.api.order.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author gaozijie
 * @date 2023-04-17
 */
@Data
public class QueryOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id集合
     */
    private List<Long> userIds;

    /**
     * 店铺Id
     */
    private Long shopId;

    public QueryOrderDTO() {
    }

    public QueryOrderDTO(List<Long> userIds, Long shopId) {
        this.userIds = userIds;
        this.shopId = shopId;
    }



    @Override
    public String toString() {
        return "QueryOrderDTO{" +
                "userIds=" + userIds +
                ", shopId=" + shopId +
                '}';
    }
}
